E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::LogOutput::Config Struct Reference

A configuration structure for G::LogOutput. More...

`#include <glogoutput.h>`

## Public Member Functions
Config & | set_output_enabled (bool value=true)
Config & | set_summary_info (bool value=true)
Config & | set_verbose_info (bool value=true)
Config & | set_debug (bool value=true)
Config & | set_with_level (bool value=true)
Config & | set_with_timestamp (bool value=true)
Config & | set_with_context (bool value=true)
Config & | set_strip (bool value=true)
Config & | set_quiet_stderr (bool value=true)
Config & | set_use_syslog (bool value=true)
Config & | set_allow_bad_syslog (bool value=true)
Config & | set_facility (SyslogFacility)

## Public Attributes
bool | m_output_enabled {false}
bool | m_summary_info {false}
bool | m_verbose_info {false}
bool | m_debug {false}
bool | m_with_level {false}
bool | m_with_timestamp {false}
bool | m_with_context {false}
bool | m_strip {false}
bool | m_quiet_stderr {false}
bool | m_use_syslog {false}
bool | m_allow_bad_syslog {false}
SyslogFacility | m_facility {SyslogFacility::User}

## Detailed Description

A configuration structure for G::LogOutput.

Definition at line 66 of file glogoutput.h.

## Member Function Documentation

## ◆ set_allow_bad_syslog()

G::LogOutput::Config & G::LogOutput::Config::set_allow_bad_syslog | ( | bool | value = `true` | ) |

Definition at line 416 of file glogoutput.cpp.

## ◆ set_debug()

G::LogOutput::Config & G::LogOutput::Config::set_debug | ( | bool | value = `true` | ) |

Definition at line 374 of file glogoutput.cpp.

## ◆ set_facility()

G::LogOutput::Config & G::LogOutput::Config::set_facility | ( | SyslogFacility | facility | ) |

Definition at line 422 of file glogoutput.cpp.

## ◆ set_output_enabled()

G::LogOutput::Config & G::LogOutput::Config::set_output_enabled | ( | bool | value = `true` | ) |

Definition at line 356 of file glogoutput.cpp.

## ◆ set_quiet_stderr()

G::LogOutput::Config & G::LogOutput::Config::set_quiet_stderr | ( | bool | value = `true` | ) |

Definition at line 404 of file glogoutput.cpp.

## ◆ set_strip()

G::LogOutput::Config & G::LogOutput::Config::set_strip | ( | bool | value = `true` | ) |

Definition at line 398 of file glogoutput.cpp.

## ◆ set_summary_info()

G::LogOutput::Config & G::LogOutput::Config::set_summary_info | ( | bool | value = `true` | ) |

Definition at line 362 of file glogoutput.cpp.

## ◆ set_use_syslog()

G::LogOutput::Config & G::LogOutput::Config::set_use_syslog | ( | bool | value = `true` | ) |

Definition at line 410 of file glogoutput.cpp.

## ◆ set_verbose_info()

G::LogOutput::Config & G::LogOutput::Config::set_verbose_info | ( | bool | value = `true` | ) |

Definition at line 368 of file glogoutput.cpp.

## ◆ set_with_context()

G::LogOutput::Config & G::LogOutput::Config::set_with_context | ( | bool | value = `true` | ) |

Definition at line 392 of file glogoutput.cpp.

## ◆ set_with_level()

G::LogOutput::Config & G::LogOutput::Config::set_with_level | ( | bool | value = `true` | ) |

Definition at line 380 of file glogoutput.cpp.

## ◆ set_with_timestamp()

G::LogOutput::Config & G::LogOutput::Config::set_with_timestamp | ( | bool | value = `true` | ) |

Definition at line 386 of file glogoutput.cpp.

## Member Data Documentation

## ◆ m_allow_bad_syslog

bool G::LogOutput::Config::m_allow_bad_syslog {false}

Definition at line 78 of file glogoutput.h.

## ◆ m_debug

bool G::LogOutput::Config::m_debug {false}

Definition at line 71 of file glogoutput.h.

## ◆ m_facility

SyslogFacility G::LogOutput::Config::m_facility {SyslogFacility::User}

Definition at line 79 of file glogoutput.h.

## ◆ m_output_enabled

bool G::LogOutput::Config::m_output_enabled {false}

Definition at line 68 of file glogoutput.h.

## ◆ m_quiet_stderr

bool G::LogOutput::Config::m_quiet_stderr {false}

Definition at line 76 of file glogoutput.h.

## ◆ m_strip

bool G::LogOutput::Config::m_strip {false}

Definition at line 75 of file glogoutput.h.

## ◆ m_summary_info

bool G::LogOutput::Config::m_summary_info {false}

Definition at line 69 of file glogoutput.h.

## ◆ m_use_syslog

bool G::LogOutput::Config::m_use_syslog {false}

Definition at line 77 of file glogoutput.h.

## ◆ m_verbose_info

bool G::LogOutput::Config::m_verbose_info {false}

Definition at line 70 of file glogoutput.h.

## ◆ m_with_context

bool G::LogOutput::Config::m_with_context {false}

Definition at line 74 of file glogoutput.h.

## ◆ m_with_level

bool G::LogOutput::Config::m_with_level {false}

Definition at line 72 of file glogoutput.h.

## ◆ m_with_timestamp

bool G::LogOutput::Config::m_with_timestamp {false}

Definition at line 73 of file glogoutput.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/glogoutput.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/glogoutput.cpp